-- Oracle
--
create table sales (
emp_id		char(9)		not null,
prod_id		char(4)		not null,
amount		number(3)	not null,
ship_date	datenot 	null,
destination	varchar2(33)	not null);
--
create table emp (
emp_id		char(9)		not null,
dept_id		char(4)		not null,
hire_dt		date		not null,
lname		varchar2(15)	not null,
fname		varchar2(15)	not null,
mname		varchar2(15)	null,
city		varchar2(20)	not null);
--
create table products (
prod_id		char(4)		not null,
price		number(5,2)	not null,
description	varchar2(35)	not null);
--
create table comp (
emp_id		char(9)		not null,
salary		number(6)	null,
hourly		number(4,2)	null);
-
create table dept (
dept_id		char(4)		not null,
description	varchar2(33)	not null);
--
-- Oracle Insert Statements
--
-- THE EMP TABLE
--
Insert into emp values
('111223333','1010','25-JUN-2001','HURST','KAY','YVONNE','SOUTHPORT');
Insert into emp values
('222334444','1011','26-JUN-2001','JUSTESS','HEATHER','JANE','HOMECROFT');
Insert into emp values
('333445555','1000','1-JUN-2001','CHAUCER','GEOFFERY','PENN','SOUTHPORT');
Insert into emp values
('444556666','2000','2-JULY-2001','ST LOUIS','WARNER','MARSHALL','SOUTHPORT');
Insert into emp values
('555667777','2020','18-JUNE-2001','WINSTON','JENNY','LEE','INDIANAPOLIS');
Insert into emp values
('666778888','2003','18-JUNE-2001','WALTERS','TANYA','JEAN','INDIANAPOLIS');
Insert into emp values
('777889990','3000','1-JUNE-2001','TULL','JETHRO','PIPER','FRANKLIN');
Insert into emp values
('888991111','3001','1-JUNE-2001','BROWN','CLARENCE',NULL,'GREENWOOD');
Insert into emp values
('999112222','3020','1-JUNE-2001','JESSE','BETTY','LEW','GREENWOOD');
Insert into emp values
('333224444','3021','1-JUNE-2001','SLATTERY','DAVID','LOU','CAMBY');
--
-- THE DEPT TABLE 
-- WORKS FOR BOTH ORACLE AND MYSQL
--
insert into dept values
('1000','PRESIDENT');
insert into dept values
('1010','VICE PRESIDENT CEO');
insert into dept values
('1011','VICE PRESIDENT');
insert into dept values
('2000','OFFICE MGR');
insert into dept values
('2020','OFFICE SALES COORD');
insert into dept values
('2003','OFFICE RECEPTIONIST');
insert into dept values
('3000','SALES MGR');
insert into dept values
('3001','SALES REP');
insert into dept values
('3002','SALES REP');
insert into dept values
('3003','SALES TRAVEL COORD');
insert into dept values
('3020','SALES AST COORD');
insert into dept values
('3021','SALES AST COORD');
--
--
-- THE COMP TABLE
-- WORKS FOR BOTH ORACLE AND MYSQL
--
insert into comp values
('333445555','120000',null);
insert into comp values
('111223333','70000',null);
insert into comp values
('222334444','70000',null);
insert into comp values
('444556666',null,'15.75');
insert into comp values
('555667777',null,'25.32');
insert into comp values
('666778888',null,'9.25');
insert into comp values
('777889990','40000',null);
insert into comp values
('888991111','32000',null);
insert into comp values
('999112222','42750',null);
insert into comp values
('333224444','38752',null);
--
-- 
-- THE PRODUCTS TABLE
-- WORKS FOR BOTH ORACLE AND MYSQL
--
insert into products values
('1111','3.95','SPY GLASSES');
insert into products values
('2222','195.95','MP3 PLAYER');
insert into products values
('3333','59.95','DIGITAL RECORDER');
insert into products values
('4441','5.00','FAKE DOGGIE DOO');
insert into products values
('5551','3.95','SNAKE IN A CAN');
insert into products values
('6661','1.95','PEPPER GUM');
insert into products values
('5552','4.75','WOOPIE CUSHON');
insert into products values
('5554','6.00','DRIBBLE GLASS');
insert into products values
('7777','49.95','WATCH WINDER');
insert into products values
('6662','4.50','XRAY SPECS');
insert into products values
('4442','3.95','FAKE VOMIT');
insert into products values
('5553','4.25','LOADED DICE');
insert into products values
('9991','29.95','MAGICIANS KIT');
insert into products values
('999A','200.00','TOP HAT WITHOUT RABBIT');
insert into products values
('999B','500.00','TOP HAT WITH RABBIT');
insert into products values
('4443','4.35','FLY IN OINTMENT');
--
--
-- THE SALES TABLE
-- WORKS FOR ORACLE 
--
insert into sales values
('333224444','7777','2','3-SEP-2001','YE OLD CLOCK SHOP');
insert into sales values
('333224444','2222','7','7-SEP-2001','SHOCKING ELECTRONICS');
insert into sales values
('333224444','2222','6','2-SEP-2001','SHOCKING ELECTRONICS');
insert into sales values
('333224444','3333','14','27-SEP-2001','SPYS R US');
insert into sales values
('999112222','5552','16','27-SEP-2001','FANCY PRANKS');
insert into sales values
('999112222','6661','45','27-SEP-2001','FANCY PRANKS');
insert into sales values
('999112222','6662','32','27-SEP-2001','FANCY PRANKS');
insert into sales values
('999112222','5553','20','27-SEP-2001','FANCY PRANKS');
insert into sales values
('999112222','5551','25','27-SEP-2001','FANCY PRANKS');
insert into sales values
('999112222','4443','40','27-SEP-2001','FANCY PRANKS');
insert into sales values
('888991111','1111','72','25-OCT-2001','R PRANKS R FANCIER');
insert into sales values
('888991111','999A','1','1-NOV-2001','TUX RENTAL');
insert into sales values
('888991111','9991','4','3-NOV-2001','BLACKSTONES READING ROOM');
insert into sales values
('888991111','999B','1','15-NOV-2001','BLACKSTONES READING ROOM');
insert into sales values
('777889990','4441','10','15-SEP-2001','SELF');
insert into sales values
('777889990','5551','5','20-SEP-2001','SELF');
insert into sales values
('777889990','4442','8','30-SEP-2001','SELF');
insert into sales values
('333445555','999B','4','1-OCT-2001','BUGSYS FORMAL DINER');
insert into sales values
('333445555','5554','72','10-OCT-2001','SIGMA ALPHA PLEW');
insert into sales values
('333445555','1111','67','9-OCT-2001','SIGMA ALPHA PLEW');
insert into sales values
('333445555','5551','47','12-OCT-2001','SIGMA ALPHA PLEW');
insert into sales values
('333445555','4441','50','17-OCT-2001','SIGMA ALPHA PLEW');
insert into sales values
('333445555','5552','87','28-OCT-2001','SIGMA ALPHA PLEW');
insert into sales values
('333445555','4442','60','30-OCT-2001','SIGMA ALPHA PLEW');

-- MySQL
create table sales ( 
emp_id		char(9)		not null,
prod_id		char(4)		not null,
amount		decimal(3)	not null,
ship_date	date		not null,
destination	varchar(33)	not null);
--
create table emp (
emp_id		char(9)		not null,
dept_id		char(4)		not null,
hire_dt		date		not null,
lname		varchar(15)	not null,
fname		varchar(15)	not null,
mname		varchar(15)	null,
city		varchar(20)	not null);
--
create table products (
prod_id		char(4)		not null,
price		decimal(5,2)	not null,
description	varchar(35)	not null);
--
create table comp (
emp_id		char(9)		not null,
salary		decimal(6)	null,
hourly		decimal(4,2)	null);
--
create table dept (
dept_id		char(4)		not null,
description	varchar(33)	not null);
--
--
-- MySQL Insert Statements
-- THE EMP TABLE
--
Insert into emp values
('111223333','1010','2001-06-25','HURST','KAY','YVONNE','SOUTHPORT');
Insert into emp values
('222334444','1011','2001-06-26','JUSTESS','HEATHER','JANE','HOMECROFT');
Insert into emp values
('333445555','1000','2001-06-01','CHAUCER','GEOFFERY','PENN','SOUTHPORT');
Insert into emp values
('444556666','2000','2001-07-02','ST LOUIS','WARNER','MARSHALL','SOUTHPORT');
Insert into emp values
('555667777','2020','2001-06-18','WINSTON','JENNY','LEE','INDIANAPOLIS');
Insert into emp values
('666778888','2003','2001-06-18','WALTERS','TANYA','JEAN','INDIANAPOLIS');
Insert into emp values
('777889990','3000','2001-06-01','TULL','JETHRO','PIPER','FRANKLIN');
Insert into emp values
('888991111','3001','2001-06-01','BROWN','CLARENCE',NULL,'GREENWOOD');
Insert into emp values
('999112222','3020','2001-06-01','JESSE','BETTY','LEW','GREENWOOD');
Insert into emp values
('333224444','3021','2001-06-01','SLATTERY','DAVID','LOU','CAMBY');
--
--
-- THE SALES TABLE
-- WORKS FOR ORACLE 
--
insert into sales values
('333224444','7777','2','2001-09-03','YE OLD CLOCK SHOP');
insert into sales values
('333224444','2222','7','2001-09-07','SHOCKING ELECTRONICS');
insert into sales values
('333224444','2222','6','2001-09-02','SHOCKING ELECTRONICS');
insert into sales values
('333224444','3333','14','2001-09-27','SPYS R US');
insert into sales values
('999112222','5552','16','2001-09-27','FANCY PRANKS');
insert into sales values
('999112222','6661','45','2001-09-27','FANCY PRANKS');
insert into sales values
('999112222','6662','32','2001-09-27','FANCY PRANKS');
insert into sales values
('999112222','5553','20','2001-09-27','FANCY PRANKS');
insert into sales values
('999112222','5551','25','2001-09-27','FANCY PRANKS');
insert into sales values
('999112222','4443','40','2001-09-27','FANCY PRANKS');
insert into sales values
('888991111','1111','72','2001-10-25','R PRANKS R FANCIER');
insert into sales values
('888991111','999A','1','2001-11-01','TUX RENTAL');
insert into sales values
('888991111','9991','4','2001-11-03','BLACKSTONES READING ROOM');
insert into sales values
('888991111','999B','1','2001-11-15','BLACKSTONES READING ROOM');
insert into sales values
('777889990','4441','10','2001-09-15','SELF');
insert into sales values
('777889990','5551','5','2001-09-20','SELF');
insert into sales values
('777889990','4442','8','2001-09-30','SELF');
insert into sales values
('333445555','999B','4','2001-10-01','BUGSYS FORMAL DINER');
insert into sales values
('333445555','5554','72','2001-10-01','SIGMA ALPHA PLEW');
insert into sales values
('333445555','1111','67','2001-10-09','SIGMA ALPHA PLEW');
insert into sales values
('333445555','5551','47','2001-10-12','SIGMA ALPHA PLEW');
insert into sales values
('333445555','4441','50','2001-10-17','SIGMA ALPHA PLEW');
insert into sales values
('333445555','5552','87','2001-10-28','SIGMA ALPHA PLEW');
insert into sales values
('333445555','4442','60','2001-10-30','SIGMA ALPHA PLEW');
